* Encoding: windows-1252.
/************************************************************************************************************/
/*                                                                                                                                                                                */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851          */
/* Enhanced Drug Penalty Fiscal Year 2023 file and create a SAS dataset.                                              */
/*                                                                                                                                                                                */
/* Prior to running the program you must update the DAT file location in the FILNAME line                   */
/* to correspond to the location of the file on your computer.                                                                        */
/*                                                                                                                                                                                */
/* You must also update the library location in the LIBNAME statement to correspond to                       */
/* the folder you want the output file to be located.                                                                                           */
/*                                                                                                                                                                                */
/***********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy23nid.dat" ENCODING="CP1252" / LRECL=613 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-15        
   DGMIN851 16-19           DGMAX851 20-23           FILED 24-26           
   WITHDRWN 27-29           RELIEF 30-32             CTRELIEF 33-35        
   CRMHT851 36-38           INDTDATE 39-49 (DATE)    FILEDATE 50-60 (DATE) 
   PROFFN1 61-64            PROFFN2 65-68            PROFFN3 69-72         
   PROFFN4 73-76            PROFFN5 77-80            PROFFN6 81-84         
   PROFFN7 85-88            PROFFN8 89-92            PROFFN9 93-96         
   PROFFN10 97-100          PROFFN11 101-104         PROFFN12 105-108      
   PROFFN13 109-112         PROFFN14 113-116         PROFFN15 117-120      
   PROFFN16 121-124         PROFFN17 125-128         PROFFN18 129-132      
   PROFFN19 133-136         PROFFN20 137-140         PROFFN21 141-144      
   PROFFN22 145-148         PRSENT1 149-152          PRSENT2 153-156       
   PRSENT3 157-160          PRSENT4 161-164          PRSENT5 165-168       
   PRSENT6 169-172          PRSENT7 173-176          PRSENT8 177-180       
   PRSENT9 181-184          PRSENT10 185-188         PRSENT11 189-192      
   PRSENT12 193-196         PRSENT13 197-200         PRSENT14 201-204      
   PRSENT15 205-208         PRSENT16 209-212         PRSENT17 213-216      
   PRSENT18 217-220         PRSENT19 221-224         PRSENT20 225-228      
   PRSENT21 229-232         PRSENT22 233-236         PRSNDT1 237-247 (DATE)
   PRSNDT2 248-258 (DATE)   PRSNDT3 259-269 (DATE)   PRSNDT4 270-280 (DATE)
   PRSNDT5 281-291 (DATE)   PRSNDT6 292-302 (DATE)   PRSNDT7 303-313 (DATE)
   PRSNDT8 314-324 (DATE)   PRSNDT9 325-335 (DATE)   PRSNDT10 336-346 (DATE)
   PRSNDT11 347-357 (DATE)   PRSNDT12 358-368 (DATE)   PRSNDT13 369-379 (DATE)
   PRSNDT14 380-390 (DATE)   PRSNDT15 391-401 (DATE)   PRSNDT16 402-412 (DATE)
   PRSNDT17 413-423 (DATE)   PRSNDT18 424-434 (DATE)   PRSNDT19 435-445 (DATE)
   PRSNDT20 446-456 (DATE)   PRSNDT21 457-467 (DATE)   PRSNDT22 468-478 (DATE)
   OFFENNUM 479-481         PRCHPT1 482-484          PRCHPT2 485-487       
   PRCHPT3 488-490          PRCHPT4 491-493          PRCHPT5 494-496       
   PRCHPT6 497-499          PRCHPT7 500-502          PRCHPT8 503-505       
   PRCHPT9 506-508          PRCHPT10 509-511         PRCHPT11 512-514      
   PRCHPT12 515-517         PRCHPT13 518-520         PRCHPT14 521-523      
   PRCHPT15 524-526         PRCHPT16 527-529         PRCHPT17 530-532      
   PRCHPT18 533-535         PRCHPT19 536-538         PRCHPT20 539-541      
   PRCHPT21 542-544         PRCHPT22 545-547         PRFELN1 548-550       
   PRFELN2 551-553          PRFELN3 554-556          PRFELN4 557-559       
   PRFELN5 560-562          PRFELN6 563-565          PRFELN7 566-568       
   PRFELN8 569-571          PRFELN9 572-574          PRFELN10 575-577      
   PRFELN11 578-580         PRFELN12 581-583         PRFELN13 584-586      
   PRFELN14 587-589         PRFELN15 590-592         PRFELN16 593-595      
   PRFELN17 596-598         PRFELN18 599-601         PRFELN19 602-604      
   PRFELN20 605-607         PRFELN21 608-610         PRFELN22 611-613 .    


SAVE OUTFILE='.\drug851fy23nid.sav'.
